Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Name: sharutils
Version: 4.6.1
Release: 2
License: GPL
Group: Applications/Archiving
Source: ftp://ftp.gnu.org/gnu/sharutils/REL-%{version}/sharutils-%{version}.tar.bz2
URL: http://www.gnu.org/software/sharutils/
BuildRequires: gettext
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through e-mail (which can be problematic for regular
binary files).  The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files.  After the files have been sent, the unshar tool
scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

Install sharutils if you send binary files through e-mail.

%prep
%setup -q

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}-%{name}-%{version}
chmod 644 AUTHORS ChangeLog COPYING NEWS README THANKS TODO

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/*/*

%changelog
* Fri Jul 14 2006 Jesse Keating <jkeating@redhat.com> - 4.6.1-2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.6.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.6.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Florian La Roche <laroche@redhat.com>
- 4.6.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 03 2005 Than Ngo <than@redhat.com> 4.6-2
- fix wrong permission #171889

* Wed Oct 26 2005 Than Ngo <than@redhat.com> 4.6-1
- update to 4.6

* Mon Apr 11 2005 Than Ngo <than@redhat.com> 4.2.1-27
- apply debian patch to fix insecure temporary file creation
  in unshar #154049, CAN-2005-0990

* Thu Mar 31 2005 Than Ngo <than@redhat.com> 4.2.1-26
- apply patch to fix multiple buffer overflows #152571

* Mon Mar 07 2005 Than Ngo <than@redhat.com> 4.2.1-25
- cleanup

* Sat Mar 05 2005 Than Ngo <than@redhat.com> 4.2.1-24
- rebuilt

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 4.2.1-23
- rebuilt

* Fri Oct 01 2004 Than Ngo <than@redhat.com> 4.2.1-22
- fix buffer overflow in shar, (from Ulf Harnhammer)

* Thu Jun 24 2004 Than Ngo <than@redhat.com> 4.2.1-21
- add builrequires on gettext, bug #126599

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 21 2004 Than Ngo <than@redhat.com> 4.2.1-19
- add suse patch, which fixes buffer overflow in handling of -o option, #123230

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 16 2003 Than Ngo <than@redhat.com> 4.2.1-17
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 4.2.1-13
- rebuild on all arches

* Mon Jun 24 2002 Than Ngo <than@redhat.com> 4.2.1-12
- fixed #66892

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Apr 14 2002 Than Ngo <than@redhat.com> 4.2.1-9
- added fix for Unsecure outputfile handling in uudecode (#63303)
- Copyright -> License

* Fri May 11 2001 Than Ngo <than@redhat.com>
- use find_lang macro
- use mktemp

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- fix typo (Bug# 12447)

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- add %defattr(-,root,root) (Bug# 11990)
- use rpm macros

* Sun May 21 2000 Ngo Than <than@redhat.de>
- rebuild to put man pages and info files in right place

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Tue Dec 21 1999 Preston Brown <pbrown@redhat.com>
- sharutils 4.2.1 for Y2K (2 digit date) fix.
- ja message catalog move (#7878)

* Tue Sep  7 1999 Jeff Johnson <jbj@redhat.com>
- handle spaces in uuencoded file names (David Fox <dsfox@cogsci.ucsd.edu>).

* Wed Jul 28 1999 Cristian Gafton <gafton@redhat.com>
- use the /usr/share/locale for the localedir instead of /usr/lib/locale
  (#2998)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

